//
// Created by #Suyghur, on 2021/10/15.
//

#ifndef XINRUIGAMESDK_COMM_MAP_H
#define XINRUIGAMESDK_COMM_MAP_H


#include <jni.h>
#include "../external/json/json.h"

#ifdef __cplusplus
extern "C" {
#endif

class CommMap {
public:
    static CommMap *GetInstance();

    void Init(JNIEnv *env, jobject context);

    Json::Value comm_params;

private:
    CommMap();

    ~CommMap();
};

#ifdef __cplusplus
}
#endif

#endif //XINRUIGAMESDK_COMM_MAP_H
